function [out] = betp(m)
% computing BetP on  from the m vector 
% out = BetP vector: order a,b,c,...

% kept for compatibility with FMT 1.0

lm = length(m);
natoms = round(log2(lm)); 		
if 2^natoms == lm 
	out = mtobetp(m);
else
	'ACCIDENT in betp: length of input vector not OK: should be a power of 2'
end

